# List plugins calls GET https://api.moveworks.ai/export/v1/records/plugin-calls Retrieve all plugins that were called by the Moveworks AI Assistant during an interaction. Reference: https://docs.moveworks.com/api-reference/data-api/list-plugins-calls ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: List plugins calls version: endpoint_.listPluginsCalls paths: /plugin-calls: get: operationId: list-plugins-calls summary: List plugins calls description: >- Retrieve all plugins that were called by the Moveworks AI Assistant during an interaction. tags: - [] parameters: - name: $filter in: query description: >- Filter plugin calls by a condition. This API supports the standard odata query language on all string and integer attributes required: false schema: type: string - name: $select in: query description: Select which properties to include in the response for the plugins. required: false schema: type: string - name: $orderby in: query description: Order plugins calls by specific fields. required: false schema: type: string - name: $top in: query description: Specify the number of plugin calls results to return. required: false schema: type: integer - name: $skip in: query description: Skip the first n plugin calls results. required: false schema: type: integer - name: Authorization in: header required: true schema: type: string responses: '200': description: Successfully retrieved list of plugins calls content: application/json: schema: $ref: '#/components/schemas/plugincallslist' '400': description: Bad request error content: {} '403': description: Forbidden error content: {} '404': description: URL not found error content: {} '429': description: Rate limiting exceeding error content: {} '500': description: Internal server error content: {} components: schemas: plugincallsobject: type: object properties: id: type: string format: uuid description: >- UUID assigned by the system to a plugin being called by AI Assistant for a interaction. interaction_id: type: string format: uuid description: ID of the interaction for which the plugin is called conversation_id: type: string format: uuid description: ID of the parent conversation. plugin_name: type: string description: >- Name of the plugin being called by the AI Assistant. This field will also contain custom plugin names for Agent Studio use-cases user_id: type: string format: uuid description: User record ID assigned by the system to a user. served: type: boolean description: This field denotes if the plugin was actually served to the end user used: type: boolean description: >- This field denotes if the plugin was used in the interaction. Action plugin are used only when they have completed the full workflow for an end users, search plugin will always be used if they are served plugin_update_time: type: string format: date-time description: >- This field denotes the time when the plugin was last updated. For example, Access software plugin can be updated at later point in time, once the approver has approved the software approval access. created_time: type: string format: date-time description: Timestamp when the plugin call was initiated. last_updated_time: type: string format: date-time description: Timestamp when the plugin call entry is last updated in this table plugincallslist: type: object properties: '@odata.context': type: string description: URL to the metadata of the response. '@odata.nextLink': type: string description: URL to fetch the next set of results. value: type: array items: $ref: '#/components/schemas/plugincallsobject' ``` ## SDK Code Examples ```python import requests url = "https://api.moveworks.ai/export/v1/records/plugin-calls" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.moveworks.ai/export/v1/records/plugin-calls'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.moveworks.ai/export/v1/records/plugin-calls" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.moveworks.ai/export/v1/records/plugin-calls") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.moveworks.ai/export/v1/records/plugin-calls") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://api.moveworks.ai/export/v1/records/plugin-calls', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.moveworks.ai/export/v1/records/plugin-calls"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.moveworks.ai/export/v1/records/plugin-calls")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```